In-Memory Ready

API Reference

The PDFixo API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

You can use the PDFixo API to programmatically convert, compress, merge, and manipulate documents in your own applications.

Authentication

The PDFixo API uses API keys to authenticate requests. You can view and manage your API keys in the Developers Dashboard.

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Authentication to the API is performed via the x-api-key HTTP header.

Authentication Example
curl -X POST https://api.pdfixo.com/v1/merge \
  -H "x-api-key: pdfixo_live_xxxxxxxxxxxxx"

Merge PDFs

Combine multiple PDF files into a single document in the order they are provided.

POST/v1/pdfmerger

Parameters

files array of files Required
The list of PDF files to merge. Must be sent as multipart/form-data. Max 20 files per request.

Returns

Returns a application/pdf blob stream on success.

curl -X POST https://api.pdfixo.com/v1/pdfmerger \
  -H "x-api-key: pdfixo_live_xxx" \
  -F "files=@document1.pdf" \
  -F "files=@document2.pdf" \
  --output merged.pdf

Compress PDF

Reduce the file size of a PDF document while attempting to preserve visual quality.

POST/v1/pdfcompressor

Parameters

file file Required
The PDF file to compress.
target_size string Optional
Desired output size (e.g. "500KB", "2MB").
cURL Example
curl -X POST https://api.pdfixo.com/v1/pdfcompressor \
  -H "x-api-key: pdfixo_live_xxx" \
  -F "file=@large_file.pdf" \
  -F "target_size=1MB" \
  --output compressed.pdf

Related Tools

VIEW ALL 76+ TOOLS โ†’
Send Feedback
Help us improve โ€” tell us what's broken or what you love
0/2000
Your feedback is anonymous by default ยท PDFixo reads every submission